Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class ResourceList

    java.lang.Object
      net.fortuna.ical4j.model.ResourceList

All Implemented Interfaces:
  Serializable

    public class ResourceList

extends Object
implements Serializable

Defines a list of iCalendar resouces.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Constructor Summary
`ResourceList()` Default constructor.
`ResourceList(String aValue)` Parses the specified string representation to create a list of resources.

Method Summary
`boolean` | `add(String resource)` Add a resource to the list.
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`boolean` | `remove(String resource)` Remove a resource from the list.
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceList

    public ResourceList()

  Default constructor.

### ResourceList

    public ResourceList(String aValue)

  Parses the specified string representation to create a list of resources.

  Parameters:
    `aValue` - a string representation of a list of resources

Method Detail

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `AbstractCollection.toString()`

### add

    public final boolean add(String resource)

  Add a resource to the list.

  Parameters:
    `resource` - the resource to add
  Returns:
    true
  See Also:
    `List.add(java.lang.Object)`

### isEmpty

    public final boolean isEmpty()

  Returns:
    boolean indicates if the list is empty
  See Also:
    `List.isEmpty()`

### iterator

    public final Iterator iterator()

  Returns:
    an iterator
  See Also:
    `List.iterator()`

### remove

    public final boolean remove(String resource)

  Remove a resource from the list.

  Parameters:
    `resource` - the resource to remove
  Returns:
    true if the list contained the specified resource
  See Also:
    `List.remove(java.lang.Object)`

### size

    public final int size()

  Returns:
    the number of resources in the list
  See Also:
    `List.size()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.